<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Added the entity Notaris.
    -->
    <changeSet id="20231215020310-1" author="jhipster">
        <createTable tableName="notaris">
            <column name="id" type="bigint" autoIncrement="true" startWith="1500">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="nama" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="nama_short" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="titel_short_one" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="titel_short_two" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="titel_long_one" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="titel_long_two" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="wilayah_kerja" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="kedudukan" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="sk" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="tgl_sk" type="date">
                <constraints nullable="true" />
            </column>
            <column name="jenis_hari_kerja" type="integer">
                <constraints nullable="true" />
            </column>
            <column name="jam_kerja_awal_one" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="jam_kerja_akhir_one" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="jam_kerja_awal_two" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="jam_kerja_akhir_two" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="selisih_pukul" type="integer">
                <constraints nullable="true" />
            </column>
            <column name="jam_rest_awal_one" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="jam_rest_akhir_one" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="jam_rest_awal_two" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="jam_rest_akhir_two" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="maks_akta" type="integer">
                <constraints nullable="true" />
            </column>
            <column name="maks_order_harian" type="integer">
                <constraints nullable="true" />
            </column>
            <column name="lembar_sk" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="lembar_sumpah" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="alamat_kantor" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="alamat_email" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="no_kontak" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="record_status" type="integer">
                <constraints nullable="true" />
            </column>
            <column name="update_by" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="update_on" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="penerima_kuasa_id" type="bigint">
                <constraints nullable="true" unique="true" uniqueConstraintName="ux_notaris__penerima_kuasa_id" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
        <dropDefaultValue tableName="notaris" columnName="jam_kerja_awal_one" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="notaris" columnName="jam_kerja_akhir_one" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="notaris" columnName="jam_kerja_awal_two" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="notaris" columnName="jam_kerja_akhir_two" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="notaris" columnName="jam_rest_awal_one" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="notaris" columnName="jam_rest_akhir_one" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="notaris" columnName="jam_rest_awal_two" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="notaris" columnName="jam_rest_akhir_two" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="notaris" columnName="update_on" columnDataType="${datetimeType}"/>
    </changeSet>

    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20231215020310-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/notaris.csv"
                  separator=";"
                  tableName="notaris"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
            <column name="nama" type="string"/>
            <column name="nama_short" type="string"/>
            <column name="titel_short_one" type="string"/>
            <column name="titel_short_two" type="string"/>
            <column name="titel_long_one" type="string"/>
            <column name="titel_long_two" type="string"/>
            <column name="wilayah_kerja" type="string"/>
            <column name="kedudukan" type="string"/>
            <column name="sk" type="string"/>
            <column name="tgl_sk" type="date"/>
            <column name="jenis_hari_kerja" type="numeric"/>
            <column name="jam_kerja_awal_one" type="date"/>
            <column name="jam_kerja_akhir_one" type="date"/>
            <column name="jam_kerja_awal_two" type="date"/>
            <column name="jam_kerja_akhir_two" type="date"/>
            <column name="selisih_pukul" type="numeric"/>
            <column name="jam_rest_awal_one" type="date"/>
            <column name="jam_rest_akhir_one" type="date"/>
            <column name="jam_rest_awal_two" type="date"/>
            <column name="jam_rest_akhir_two" type="date"/>
            <column name="maks_akta" type="numeric"/>
            <column name="maks_order_harian" type="numeric"/>
            <column name="lembar_sk" type="string"/>
            <column name="lembar_sumpah" type="string"/>
            <column name="alamat_kantor" type="string"/>
            <column name="alamat_email" type="string"/>
            <column name="no_kontak" type="string"/>
            <column name="record_status" type="numeric"/>
            <column name="update_by" type="string"/>
            <column name="update_on" type="date"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>
</databaseChangeLog>
